<%@ page language="java" contentType="text/html; charset=UTF-8"%>
<%@ taglib uri="/WEB-INF/tlds/struts-tiles.tld" prefix="tiles"%>
<%@ taglib uri="/WEB-INF/tlds/struts-html.tld" prefix="html"%>
<%@ taglib uri="/WEB-INF/tlds/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="/WEB-INF/tlds/struts-logic.tld" prefix="logic"%>
<%@ taglib prefix="ether" tagdir="/WEB-INF/tags" %>

<meta http-equiv="refresh" content="6; URL=./index.jsp">
<tiles:insert page="/resources/templates/templateMegapoli.jsp" flush="true">

    <tiles:put name="insertCss" type="string"></tiles:put>

    <tiles:put name="insertJsOrJsp" type="string">
        <ether:htmlJs jsFile="maj"/>
        <ether:htmlJs jsFile="medias/ajax"/>
        <ether:htmlJs jsFile="medias/scw"/>
    </tiles:put>

    <tiles:put name="title" type="string"><bean:message key="app.title"/> - <bean:message key="data.access.extract3"/></tiles:put>
    <tiles:put name="nav" type="string">
        <html:link page="/index.jsp"><bean:message key="app.home"/></html:link>&nbsp;&gt;
        <html:link page="/data?methodName=viewDataResume"><bean:message key="app.data"/></html:link>&nbsp;&gt;
        <html:link page="/DataAccess.do"><bean:message key="data.access.extract"/></html:link>
    </tiles:put>

    <%--****************** CONTENT ****************** --%>
	<tiles:put name="bodytitle" type="string"><bean:message key="data.access.extract3"/></tiles:put>

	<tiles:put name="body" type="string">

        <logic:present name="<%=org.apache.struts.Globals.ERROR_KEY%>">
            <div id="errors"><html:errors/></div>
        </logic:present>

		<div id="messages">
			<html:messages id="mess" property="<%= org.apache.struts.action.ActionMessages.GLOBAL_MESSAGE %>" message="true">
				<bean:write name="mess"/>
			</html:messages>
		</div>
		<bean:message key="data.access.extract.process"/>
	</tiles:put>
</tiles:insert>
